@echo off
cls

Echo *** Uncompressing Smacker files... ***
Echo ======================================
lha e smack -c+ -m+
if errorlevel 1 goto error

Echo ÿ
Echo ÿ
Echo *** Uncompressing demo files... ***
Echo ===================================
lha e demo  -c+ -m+
if errorlevel 1 goto error

Echo ÿ
Echo ÿ
Echo *** Uncompressing sample flic... ***
Echo ====================================
lha e samp  -c+ -m+
if errorlevel 1 goto error

del smack.lzh
del demo.lzh
del samp.lzh
del install.exe
del lha.exe
cls
Echo Type "DEMO" to run the SmackScript demo.
Echo ÿ
Echo Thank you for your purchase!
goto done

:error
echo Error uncompressing files.

:done
